:root {
    --abyss: #18439f;
    --coal: #1a1a1a;
    --ash: #bebebe;
    --dust: #636363;
    --sky: aliceblue;
    --shadow: rgba(18, 28, 47, 0.65);
    --background: #ffffff;
    --contentMax: 75vw;
    --gap-large: 4rem;
    --gap-medium: 2rem;
    --gap-small: 1rem;
}

.dark-mode {
    --abyss: #e9982f;
    /*muted white*/
    --coal: #c6c6c6;
    /*light gray*/
    --ash: #839ac7;
    /*gray blue*/
    --dust: #d8d8d8;
    --background: #143052;
    /*slate*/
    --sky: rgb(62, 65, 68);
    --shadow: rgba(3, 5, 8, 0.65);
}

html {
    font-size: 16px;
}

body {
    position: relative;
    position: relative;
    margin: 0;
    gap: var(--gap-large);
    font-family: "Roboto", sans-serif;
    line-height: 1.4;
    color: var(--coal);
    background: var(--background);
    transition: background-color 0.75s ease;
}

/* HEADINGS */

h1 {
    font-family: "Roboto Condensed", sans-serif;
    font-weight: 300;
}

h2,
h3,
h4 {
    font-family: "Roboto";
    font-weight: 500;
}

h2 {
    margin-bottom: 0.75rem;
    font-size: 1.5rem;
}

.box .title {
    color: var(--abyss);
    font-weight: 400;
    letter-spacing: 1px;
}

.subtitle {
    color: var(--coal);
    font-weight: 400;
    letter-spacing: 1px;
}

/* LINKS */

a {
    color: var(--coal);
    text-decoration: underline;
}

a:hover {
    color: var(--wood);
    text-decoration: underline
}


/* HEADER */

.header {
    position: absolute;
    top: 0;
    right: 0;
    width: 6rem;
    width: 100%;
    padding: 1rem;
    gap: var(--gap-small);
    justify-content: end;
}


/* BUTTONS */

.custom-button {
    width: 15rem;
    padding-block: 1rem;
    margin-block: 0.5rem;
    border: 1px solid var(--abyss);
    border-radius: 3rem;
    background: var(--sky);
    color: var(--abyss);
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    font-size: 0.9rem;
}

.custom-button.small {
    width: 7rem;
}

.custom-button.circle {
    width: 3rem;
    height: 3rem;
    border-radius: 10rem;
    padding-block: 0;
}

.custom-button:hover {
    background: var(--abyss);
    color: var(--background);
}

.box .split div {
    justify-content: space-between;
}

/* BOX (basic unit) */
.box {
    width: calc(50% - var(--gap-large) / 2);
    padding: 1rem;
}

.box.wide {
    width: 100%;
}

/* HIGHEST-LEVEL WIDTH AND POSITION CONTROL */

.hero,
main {
    width: var(--contentMax);
    margin: 0 auto;
}

main {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap-large);
}

/* TABLES */

table {
    width: 100%;
    margin-bottom: 1rem;
    border-collapse: collapse;
    border-top: 1px solid var(--ash);
    border-bottom: 1px solid var(--ash);
    table-layout: fixed;
}

table td {
    padding: 0.5rem;
    border-top: 1px solid var(--ash);
    vertical-align: top;
}

table tr:first-child td {
    /* Prevents double lines */
    border-top: none;
}

tbody tr td:nth-child(2) {
    /* Prevents double lines */
    text-align: right;
}

/* TEXT */

.box p {
    margin-bottom: 1rem;
}

.muted {
    color: var(--dust);
}

.small-caps {
    font-size: 0.8rem;
    color: var(--dust);
    text-transform: uppercase;
}

/* LISTS */

ul {
    list-style-position: inside;
}

ul li {
    margin-bottom: 0.25rem;
}

/* IMAGE GALLERY */

.custom-gallery {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: var(--gap-small);
}

.custom-gallery>button {
    aspect-ratio: 1;
}

.custom-gallery .galleryItem {
    display: block;
    padding: 0;
    border: none;
    cursor: pointer;
}

.custom-gallery .galleryItem img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 50ms linear;
}

.custom-gallery .galleryItem:hover img {
    transform: scale(1.02);
}

/* HERO */

.hero {
    margin-top: 8vw;
    height: 40rem;
    gap: var(--gap-large);
}

.hero .panel.left,
.hero .panel.right {
    flex: 1;
}

.hero .panel.left {
    gap: var(--gap-large);
}

.hero .panel.right {
    overflow: hidden;
}

.hero .title {
    font-size: 4rem;
    color: var(--abyss);
}

.hero .quote {
    width: 60%;
    margin-bottom: 0.75rem;
    font-style: italic;
    color: var(--coal);
    text-align: justify;
}

.hero .quote::before,
.hero .quote::after {
    content: "\"";
}

.hero .author {
    font-size: 0.8rem;
    color: var(--dust);
    text-transform: uppercase;
}

.hero .image {
    width: 100%;
    object-fit: cover;
}

/* MULTI-TASKERS */

.split {
    gap: var(--gap-medium);
}

.split>div {
    flex: 1;
}

.split.flex-row {
    flex-wrap: wrap;
}

/* FOOTER */

footer {
    border-top: 1px solid var(--ash);
}

footer .info {
    padding: 2rem;
    /* align-items: center; */
    text-align: center;
}

/* LIGHTBOX */

/* Large dark background parent element */
.lightbox {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 316;
    background-color: var(--shadow);
    transition: opacity ease 0.5s;
}

/* For size and positioning. Creates space within viewport for the image to fill. */
.lightbox .wrapper {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 80vw;
    height: 80vh;
    transform: translate(-50%, -50%);
    background-color: transparent;
}

.lightbox img {
    width: 100%;
    max-height: 100%;
    margin: auto;
    object-fit: contain;
}

/* CUSTOM TABLE */

/* Non-<table> table*/
.custom-table {
    margin-bottom: 1rem;
}

.custom-table .row {
    border-bottom: var(--ash) 1px solid;
}

/* Adds border to top of table */
.custom-table .row:first-child {
    border-top: var(--ash) 1px solid;
}

.custom-table .col {
    margin: 0.5rem;
    flex: 1;
}

/* Makes day cell wider */
.custom-table .row .col:first-child {
    flex: 2;
}

.custom-table p {
    margin-bottom: 0;
}

.custom-table .times {
    text-align: end;
    white-space: nowrap;
}

/* SPECIFIC BOXES */
.history p {
    text-align: justify;
}

/* BROKEN PAGE */
body.broken{
    min-height: 100vh;
}
.broken header {
    margin-top: 3rem;
}

.broken header h1 {
    width: var(--contentMax);
    margin: 0 auto;
}

.broken h2 {
    margin-bottom: 1rem;
}
.broken footer{
        margin: auto 0 0 0;
}